Magick::ImageMoments Class Reference

`#include <ChannelMoments.h>`

## Public Member Functions

| ImageMoments (void)
| ImageMoments (const ImageMoments &imageMoments_)
| ~ImageMoments (void)
ChannelMoments | channel (const ChannelType channel_=CompositeChannels) const
| ImageMoments (const Image &image_)

## Detailed Description

Definition at line 77 of file ChannelMoments.h.

## Constructor & Destructor Documentation

Magick::ImageMoments::ImageMoments | ( | void |  | ) |

Definition at line 115 of file ChannelMoments.cpp.

Magick::ImageMoments::ImageMoments | ( | const ImageMoments & | imageMoments_ | ) |

Definition at line 120 of file ChannelMoments.cpp.

Magick::ImageMoments::~ImageMoments | ( | void |  | ) |

Definition at line 125 of file ChannelMoments.cpp.

Magick::ImageMoments::ImageMoments | ( | const Image & | image_ | ) |

Definition at line 141 of file ChannelMoments.cpp.

References Magick::Image::constImage(), GetPPException, Magick::Image::quiet(), and ThrowPPException.

## Member Function Documentation

Magick::ChannelMoments Magick::ImageMoments::channel | ( | const ChannelType | channel_ = `CompositeChannels` | ) | const

Definition at line 129 of file ChannelMoments.cpp.

The documentation for this class was generated from the following files:

- ChannelMoments.h
- ChannelMoments.cpp